 /*  █████╗ ███╗   ███╗ ██████╗██████╗     ██████╗  ██████╗ ██████╗ ██████╗ */
 /* ██╔══██╗████╗ ████║██╔════╝██╔══██╗    ╚════██╗██╔═████╗╚════██╗╚════██╗ */
 /* ███████║██╔████╔██║██║     ██████╔╝     █████╔╝██║██╔██║ █████╔╝ █████╔╝ */
 /* ██╔══██║██║╚██╔╝██║██║     ██╔══██╗    ██╔═══╝ ████╔╝██║██╔═══╝ ██╔═══╝ */
 /* ██║  ██║██║ ╚═╝ ██║╚██████╗██████╔╝    ███████╗╚██████╔╝███████╗███████╗ */
 /* ╚═╝  ╚═╝╚═╝     ╚═╝ ╚═════╝╚═════╝     ╚══════╝ ╚═════╝ ╚══════╝╚══════╝ */

* {
    /* `otf-font-awesome` is required to be installed for icons */
    font-family: Noto Sans, FontAwesome, forkawesome, UbuntuMono Nerd Font, Helvetica, Arial, sans-serif;
    /*font-size: 12px;*/
    font-weight: bold;
}

window#waybar {
    background-color: rgba(43, 48, 59, 0.85);
    border-bottom: 3px solid rgba(100, 114, 125, 0.85);
    color: #ffffff;
    transition-property: background-color;
    transition-duration: .5s;
}

window#waybar.hidden {
    opacity: 0.2;
}

tooltip {
     border-radius: 4px;
     background-color: #303179;
}

/*
window#waybar.empty {
    background-color: transparent;
}
window#waybar.solo {
    background-color: #FFFFFF;
}
*/

window#waybar.termite {
    background-color: #3F3F3F;
}

window#waybar.chromium {
    background-color: #000000;
    border: none;
}

button {
    /* Use box-shadow instead of border so the text isn't offset */
    box-shadow: inset 0 -3px transparent;
    /* Avoid rounded borders under each button name */
    border: none;
    border-radius: 0;
}

/* https://github.com/Alexays/Waybar/wiki/FAQ#the-workspace-buttons-have-a-strange-hover-effect */
button:hover {
    background: inherit;
    box-shadow: inset 0 -3px #ffffff;
}

#workspaces button {
    margin: 4px 0;
    padding: 0 5px;
    background-color: transparent;
    color: #ffffff;
    font-family: Noto Sans, FontAwesome, forkawesome, Helvetica, Arial, sans-serif;
    font-weight: bold;
    font-size: 16px;
}

#workspaces button.active {
    background-color: #950740;
    background: #950740;
}

#workspaces button.hover {
    background: rgba(0, 0, 0, 0.2);
}

#workspaces button.focused {
    border-radius: 4px;
    background-color: #64727D;
    box-shadow: inset 0 -3px #ffffff;
}

#workspaces button.urgent {
    background-color: #950740;
    color: rgba(238, 46, 36, 1);
}

#mode {
    background-color: #64727D;
    border-bottom: 3px solid #ffffff;
}

#custom-mail,
#custom-weather,
#custom-progress,
#custom-updates,
#clock,
#battery,
#cpu,
#memory,
#disk,
#temperature,
#backlight,
#network,
#pulseaudio,
#custom-media,
#tray,
#mode,
#idle_inhibitor,
#scratchpad,
#mpd {
    padding: 0 10px;
    color: #ffffff;
}

#window {
    /* margin: 0 4px; */
    font-family: Noto Sans, FontAwesome, forkawesome, Helvetica, Arial, sans-serif;
    font-weight: bold;
    font-style: italic;
    font-size: 14px;
}

#workspaces {
    /* margin: 0 4px; */
    font-family: Noto Sans, FontAwesome, forkawesome, Helvetica, Arial, sans-serif;
    font-weight: bold;
    /* font-style: italic; */
    font-size: 12px;
}

/* If workspaces is the leftmost module, omit left margin */
.modules-left > widget:first-child > #workspaces {
    margin-left: 0;
}

/* If workspaces is the rightmost module, omit right margin */
.modules-right > widget:last-child > #workspaces {
    margin-right: 0;
}

#clock {
    background-color: #64727D;
}

#battery {
    background-color: #ffffff;
    color: #000000;
}

#battery.charging, #battery.plugged {
    color: #ffffff;
    background-color: #26A65B;
}

@keyframes blink {
    to {
        background-color: #ffffff;
        color: #000000;
    }
}

#battery.critical:not(.charging) {
    background-color: #f53c3c;
    color: #ffffff;
    animation-name: blink;
    animation-duration: 0.5s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

label:focus {
    background-color: #000000;
}

#cpu {
    background-color: #2980d9;
    color: #ffffff;
}

#custom-updates,
#memory {
    background-color: #2980b9;
    color: #ffffff;
}

#disk {
    background-color: #2980b9;
}

#backlight {
    background-color: #90b1b1;
}

#custom-mail,
#network {
    background-color: #2980b9;
}

#custom-progress,
#network.disconnected {
    background-color: #f53c3c;
}

#pulseaudio {
    background-color: #e7717d;
    color: #000000;
}

#pulseaudio.muted {
    background-color: #90b1b1;
    color: #2a5c45;
}

#custom-media {
    /* background-color: #66cc99; */
    /* color: #2a5c45; */
    background-color: #e7717d;
    color: #2c3531;
    min-width: 100px;
}

#custom-media.custom-spotify {
    background-color: #66cc99;
}

#custom-media.custom-vlc {
    background-color: #ffa000;
}

#temperature {
    background-color: #950740;
    color: #ffffff;
}

#temperature.critical {
    background-color: #eb4d4b;
}

#tray {
    background-color: #2980b9;
}

#tray > .passive {
    -gtk-icon-effect: dim;
}

#tray > .needs-attention {
    -gtk-icon-effect: highlight;
    background-color: #eb4d4b;
}

#idle_inhibitor {
    background-color: #2d3436;
}

#idle_inhibitor.activated {
    background-color: #ecf0f1;
    color: #2d3436;
}

#custom-waybar-mpris {
    /* background-color: #66cc99; */
    /* color: #2a5c45; */
    background-color: #950740;
    color: #eae7dc;
}

#mpd {
    /* background-color: #66cc99; */
    /* color: #2a5c45; */
    background-color: #950740;
    color: #eae7dc;
}

#mpd.disconnected {
    background-color: #f53c3c;
}

#custom-waybar-mpris.stopped,
#custom-waybar-mpris.paused,
#mpd.stopped,
#mpd.paused {
    background-color: #90b1b1;
    color: #223333;
}

#custom-media.mpv {
    background-color: #950740;
    color: #eae7dc;
}

#language {
    background: #00b093;
    color: #740864;
    padding: 0 5px;
    margin: 0 5px;
    min-width: 16px;
}

#keyboard-state {
    background: #97e1ad;
    color: #000000;
    padding: 0 0px;
    margin: 0 5px;
    min-width: 16px;
}

#keyboard-state > label {
    padding: 0 5px;
}

#keyboard-state > label.locked {
    background: rgba(0, 0, 0, 0.2);
}

#scratchpad {
    background: rgba(0, 0, 0, 0.2);
}

#scratchpad.empty {
	background-color: transparent;
}
